from storm.locals import *
from article import StormArticle

class Conversation(object):
    """Conversation class for sqlite database"""
    __storm_table__ = "conversation"
    thread_addr = Unicode(primary = True)
    subject = Unicode()
    author = Unicode() # Original author of conversation
    datestr = Unicode() # Last updated
    date = Float()
    count = Int() # No. of messages
    pdate_con = Unicode()
    ndate_con = Unicode()
    
    def __init__(self, thread_addr,date, subject, author, datestr, count):
        self.thread_addr = unicode(thread_addr)
        self.subject = unicode(subject)
        self.date = date
        self.datestr = unicode(datestr)
        self.author = unicode(author)
        self.count = count
